Index: kcontrol/input/mouse.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/input/mouse.cpp,v
retrieving revision 1.78
diff -d -u -p -r1.78 mouse.cpp
--- kcontrol/input/mouse.cpp	23 Jan 2003 07:18:29 -0000	1.78
+++ kcontrol/input/mouse.cpp	5 Mar 2003 05:53:22 -0000
@@ -68,12 +68,14 @@
 
 #include "mouse.h"
 
+#ifdef Q_WS_X11
 #include <X11/X.h>
 #include <X11/Xlib.h>
 #include <X11/Xutil.h>
 #include <kipc.h>
 
 #undef Below
+#endif
 
 MouseConfig::MouseConfig (QWidget * parent, const char *name)
   : KCModule(parent, name)
@@ -573,12 +575,17 @@ void MouseConfig::slotHandedChanged(int 
 void MouseSettings::load(KConfig *config)
 {
   int accel_num, accel_den, threshold;
+#ifdef Q_WS_X11
   XGetPointerControl( kapp->getDisplay(),
               &accel_num, &accel_den, &threshold );
+#else
+  accel_num = accel_den = threshold = 0;
+#endif
   accel_num /= accel_den;   // integer acceleration only
 
   // get settings from X server
   int h = RIGHT_HANDED;
+#ifdef Q_WS_X11
   unsigned char map[5];
   num_buttons = XGetPointerMapping(kapp->getDisplay(), map, 5);
 
@@ -618,6 +625,7 @@ void MouseSettings::load(KConfig *config
       handedEnabled = false;
       break;
     }
+#endif
 
   config->setGroup("Mouse");
   int a = config->readNumEntry("Acceleration",-1);
@@ -658,6 +666,7 @@ void MouseSettings::load(KConfig *config
 
 void MouseSettings::apply()
 {
+#ifdef Q_WS_X11
   XChangePointerControl( kapp->getDisplay(),
                          true, true, accelRate, 1, thresholdMove);
 
@@ -725,6 +734,7 @@ void MouseSettings::apply()
           { };
       m_handedNeedsApply = false;
   }
+#endif
 
   // Make sure we have the 'font' resource dir registered and can find the
   // override dir.
@@ -785,7 +795,9 @@ void MouseSettings::save(KConfig *config
   config->writeEntry("LargeCursor", largeCursor );
   config->writeEntry("WhiteCursor", whiteCursor );
   config->sync();
+#ifdef Q_WS_X11
   KIPC::sendMessageAll(KIPC::SettingsChanged, KApplication::SETTINGS_MOUSE);
+#endif
 }
 
 #include "mouse.moc"
Index: kcontrol/kcontrol/Makefile.am
===================================================================
RCS file: /home/kde/kdebase/kcontrol/kcontrol/Makefile.am,v
retrieving revision 1.64
diff -d -u -p -r1.64 Makefile.am
--- kcontrol/kcontrol/Makefile.am	10 Jan 2003 22:36:44 -0000	1.64
+++ kcontrol/kcontrol/Makefile.am	5 Mar 2003 05:53:22 -0000
@@ -33,16 +33,15 @@ kcontrol_la_SOURCES = main.cpp toplevel.
 	quickhelp.cpp moduletreeview.cpp moduleiconview.cpp \
 	kcrootonly.cpp moduleIface.cpp moduleIface.skel
 
-kcontrol_la_LIBADD  = $(LIB_KDEUI) $(LIB_KSYCOCA) -lkutils 
+kcontrol_la_LIBADD  = $(LIB_KDEUI) $(LIB_KSYCOCA) $(LIB_KDECORE) $(LIB_QT) -lkutils -lDCOP -lkdefx
 kcontrol_la_LDFLAGS = $(all_libraries) -module -avoid-version
 kcmshell_la_SOURCES = kcmshell.cpp proxywidget.cpp \
 	                  kcdialog.cpp global.cpp kcdialog.skel
-kcmshell_la_LIBADD = $(LIB_KDEUI) $(LIB_KSYCOCA) -lkutils 
+kcmshell_la_LIBADD = $(LIB_KDEUI) $(LIB_KSYCOCA) -lkutils $(LIB_KDECORE) $(LIB_QT) -lDCOP
 kcmshell_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
-
 kcminit_la_SOURCES = kcminit.cpp global.cpp
-kcminit_la_LIBADD   = $(LIB_KDEUI) $(LIB_KSYCOCA) -lkutils
+kcminit_la_LIBADD   = $(LIB_KDEUI) $(LIB_KSYCOCA) $(LIB_KDECORE) $(LIB_QT) -lkutils -lDCOP
 kcminit_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
 kcontrol_SOURCES = dummy.cpp
Index: kcontrol/kcontrol/kcdialog.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/kcontrol/kcdialog.cpp,v
retrieving revision 1.18
diff -d -u -p -r1.18 kcdialog.cpp
--- kcontrol/kcontrol/kcdialog.cpp	9 Jan 2003 01:54:22 -0000	1.18
+++ kcontrol/kcontrol/kcdialog.cpp	5 Mar 2003 05:53:23 -0000
@@ -86,6 +86,8 @@ void KCDialog::slotHelp()
 
 void KCDialog::activate()
 {
+#ifdef Q_WS_X11
     KWin::setOnDesktop(winId(), KWin::currentDesktop());
     KWin::setActiveWindow(winId());
+#endif
 }
Index: kcontrol/kcontrol/kcmshell.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/kcontrol/kcmshell.cpp,v
retrieving revision 1.62
diff -d -u -p -r1.62 kcmshell.cpp
--- kcontrol/kcontrol/kcmshell.cpp	21 Feb 2003 07:21:18 -0000	1.62
+++ kcontrol/kcontrol/kcmshell.cpp	5 Mar 2003 05:53:23 -0000
@@ -243,8 +243,9 @@ int main(int _argc, char *_argv[])
                 // Needed for modules that use d'n'd (not really the right
                 // solution for this though, I guess)
                 dlg->setAcceptDrops(true);
-
+#ifdef Q_WS_X11
                 QXEmbed::embedClientIntoWindow(dlg, id);
+#endif
                 kapp->exec();
                 delete dlg;
              }
@@ -289,8 +290,10 @@ int main(int _argc, char *_argv[])
         int id = embed.toInt(&ok);
         if (ok)
         {
+#ifdef Q_WS_X11
             // NOTE: This has to be changed for QT 3.0. See above!
             QXEmbed::embedClientIntoWindow(dlg, id);
+#endif
             delete dlg;
           return 0;
         }
Index: kcontrol/kcontrol/modules.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/kcontrol/modules.cpp,v
retrieving revision 1.46
diff -d -u -p -r1.46 modules.cpp
--- kcontrol/kcontrol/modules.cpp	10 Jan 2003 22:36:44 -0000	1.46
+++ kcontrol/kcontrol/modules.cpp	5 Mar 2003 05:53:23 -0000
@@ -40,14 +40,19 @@
 #include <kcmoduleloader.h>
 #include "kcrootonly.h"
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 
 template class QPtrList<ConfigModule>;
 
 
 ConfigModule::ConfigModule(const QString& desktopFile, const QString& baseGroup)
-  : KCModuleInfo(desktopFile, baseGroup), _changed(false), _module(0), _embedWidget(0),
+  : KCModuleInfo(desktopFile, baseGroup), _changed(false), _module(0), 
+#ifdef Q_WS_X11
+    _embedWidget(0),
+#endif
     _rootProcess(0), _embedLayout(0), _embedFrame(0)
 {
 }
@@ -88,14 +93,15 @@ ProxyWidget *ConfigModule::module()
 
 void ConfigModule::deleteClient()
 {
-  if (_embedWidget)
-    XKillClient(qt_xdisplay(), _embedWidget->embeddedWinId());
-
   delete _rootProcess;
   _rootProcess = 0;
 
+#ifdef Q_WS_X11
+  if (_embedWidget)
+    XKillClient(qt_xdisplay(), _embedWidget->embeddedWinId());
   delete _embedWidget;
   _embedWidget = 0;
+#endif
   delete _embedFrame;
   _embedFrame = 0;
   kapp->syncX();
@@ -132,7 +138,9 @@ void ConfigModule::runAsRoot()
     return;
 
   delete _rootProcess;
+#ifdef Q_WS_X11
   delete _embedWidget;
+#endif
   delete _embedLayout;
 
   // create an embed widget that will embed the
@@ -147,14 +155,18 @@ void ConfigModule::runAsRoot()
   _embedFrame->setLineWidth( 2 );
   _embedFrame->setMidLineWidth( 2 );
   _embedLayout->addWidget(_embedFrame,1);
+#ifdef Q_WS_X11
   _embedWidget = new QXEmbed(_embedFrame );
+#endif
   _module->hide();
   _embedFrame->show();
+#ifdef Q_WS_X11
   QLabel *_busy = new QLabel(i18n("<big>Loading...</big>"), _embedWidget);
   _busy->setAlignment(AlignCenter);
   _busy->setTextFormat(RichText);
   _busy->setGeometry(0,0, _module->width(), _module->height());
   _busy->show();
+#endif
 
   // prepare the process to run the kcmshell
   QString cmd = service()->exec().stripWhiteSpace();
@@ -179,12 +191,16 @@ void ConfigModule::runAsRoot()
       // returns before the module is running and that doesn't work.
       // We also don't have a way to close the module in that case.
       *_rootProcess << "--n"; // Don't keep password.
+#ifdef Q_WS_X11
       if (kdeshell) {
          *_rootProcess << QString("kcmshell %1 --embed %2 --lang %3").arg(cmd).arg(_embedWidget->winId()).arg(KGlobal::locale()->language());
       }
       else {
          *_rootProcess << QString("%1 --embed %2 --lang %3").arg(cmd).arg(_embedWidget->winId()).arg( KGlobal::locale()->language() );
       }
+#else
+      //FIXME: need to implement for MAC and QWS
+#endif
 
       connect(_rootProcess, SIGNAL(processExited(KProcess*)), this, SLOT(rootExited(KProcess*)));
 
@@ -195,7 +211,9 @@ void ConfigModule::runAsRoot()
 
   // clean up in case of failure
   delete _embedFrame;
+#ifdef Q_WS_X11
   _embedWidget = 0;
+#endif
   delete _embedLayout;
   _embedLayout = 0;
   _module->show();
@@ -204,11 +222,13 @@ void ConfigModule::runAsRoot()
 
 void ConfigModule::rootExited(KProcess *)
 {
+#ifdef Q_WS_X11
   if (_embedWidget->embeddedWinId())
     XDestroyWindow(qt_xdisplay(), _embedWidget->embeddedWinId());
 
   delete _embedWidget;
   _embedWidget = 0;
+#endif
 
   delete _rootProcess;
   _rootProcess = 0;
Index: kcontrol/kcontrol/modules.h
===================================================================
RCS file: /home/kde/kdebase/kcontrol/kcontrol/modules.h,v
retrieving revision 1.18
diff -d -u -p -r1.18 modules.h
--- kcontrol/kcontrol/modules.h	11 Jan 2003 13:18:51 -0000	1.18
+++ kcontrol/kcontrol/modules.h	5 Mar 2003 05:53:23 -0000
@@ -74,7 +74,9 @@ private:
   
   bool         _changed;
   ProxyWidget *_module;
+#ifdef Q_WS_X11
   QXEmbed     *_embedWidget;
+#endif
   KProcess    *_rootProcess;
   QVBoxLayout *_embedLayout;
   QVBox       *_embedFrame;
Index: kcontrol/kdm/background.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/kdm/background.cpp,v
retrieving revision 1.7
diff -d -u -p -r1.7 background.cpp
--- kcontrol/kdm/background.cpp	24 Jan 2003 21:31:52 -0000	1.7
+++ kcontrol/kdm/background.cpp	5 Mar 2003 05:53:24 -0000
@@ -40,6 +40,10 @@
 #include <ksimpleconfig.h>
 #include <kdialog.h>
 
+#ifndef KDE_CONFDIR
+#define KDE_CONFDIR ""
+#endif
+
 extern KSimpleConfig *config;
 
 KBackground::KBackground(QWidget *parent, const char *name)
Index: kcontrol/kdm/main.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/kdm/main.cpp,v
retrieving revision 1.59
diff -d -u -p -r1.59 main.cpp
--- kcontrol/kdm/main.cpp	24 Jan 2003 21:31:52 -0000	1.59
+++ kcontrol/kdm/main.cpp	5 Mar 2003 05:53:24 -0000
@@ -49,6 +49,10 @@
 typedef KGenericFactory<KDModule, QWidget> KDMFactory;
 K_EXPORT_COMPONENT_FACTORY( kcm_kdm, KDMFactory("kdmconfig") );
 
+#ifndef KDE_CONFDIR
+#define KDE_CONFDIR ""
+#endif
+
 KURL *decodeImgDrop(QDropEvent *e, QWidget *wdg)
 {
     QStringList uris;
Index: kcontrol/keys/modifiers.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/keys/modifiers.cpp,v
retrieving revision 1.12
diff -d -u -p -r1.12 modifiers.cpp
--- kcontrol/keys/modifiers.cpp	3 Sep 2002 00:30:07 -0000	1.12
+++ kcontrol/keys/modifiers.cpp	5 Mar 2003 05:53:25 -0000
@@ -19,6 +19,7 @@
 #include <klocale.h>
 #include <kmessagebox.h>
 
+#ifdef Q_WS_X11
 #define XK_MISCELLANY
 #define XK_XKB_KEYS
 #include <X11/X.h>
@@ -50,6 +51,7 @@ Extra1		[]		[] User definable
 	Mod4	Super_L, Super_R
 	Mod5	Scroll_Lock
 */
+#endif
 
 //For Mac keyboards:
 //1) labels: Shift | Ctrl | Option | Command
@@ -141,14 +143,17 @@ void ModifiersModule::defaults()
 	updateWidgetData();
 }
 
+#ifdef Q_WS_X11
 #define SET_CODE_SYM( iCode, sym ) \
 	if( iCode >= keyCodeMin && iCode <= keyCodeMax ) \
 		rgKeySyms[(iCode-keyCodeMin) * nSymsPerCode] = sym;
 #define SET_MOD_CODE( iMod, code1, code2 ) \
 	xmk->modifiermap[iMod * xmk->max_keypermod + 0] = code1; \
 	xmk->modifiermap[iMod * xmk->max_keypermod + 1] = code2;
+#endif
 void ModifiersModule::setupMacModifierKeys()
 {
+#ifdef QWS_X11
 	const int CODE_Ctrl_L = 0x25, CODE_Ctrl_R = 0x6d;
 	const int CODE_Win_L  = 0x73, CODE_Win_R  = 0x74;
 	//const int CODE_Alt_L  = 0x40, CODE_Alt_R  = 0x71;
@@ -178,6 +183,7 @@ void ModifiersModule::setupMacModifierKe
 	XChangeKeyboardMapping( qt_xdisplay(), keyCodeMin, nSymsPerCode, rgKeySyms, nKeyCodes );
 	XFree( rgKeySyms );
 	XFreeModifiermap( xmk );
+#endif
 }
 #undef SET_CODE_SYM
 
@@ -306,6 +312,7 @@ void ModifiersModule::updateWidgets()
 		m_pchkMacSwap->setEnabled( false );
 	}
 
+#ifdef Q_WS_X11
 	XModifierKeymap* xmk = XGetModifierMapping( qt_xdisplay() );
 
 	for( int iKey = m_plstXMods->columns()-1; iKey < xmk->max_keypermod; iKey++ )
@@ -342,6 +349,7 @@ void ModifiersModule::updateWidgets()
 	if( i != 0 )
 		m_plblWinModX->setText( "mod" + QString::number(i) );
 	else
+#endif
 		m_plblWinModX->setText( "<" + i18n("None") + ">" );
 }
 
Index: kcontrol/kicker/lookandfeeltab_kcm.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/kicker/lookandfeeltab_kcm.cpp,v
retrieving revision 1.3
diff -d -u -p -r1.3 lookandfeeltab_kcm.cpp
--- kcontrol/kicker/lookandfeeltab_kcm.cpp	18 Feb 2003 22:48:16 -0000	1.3
+++ kcontrol/kicker/lookandfeeltab_kcm.cpp	5 Mar 2003 05:53:25 -0000
@@ -24,7 +24,9 @@
 #include "lookandfeeltab_kcm.moc"
 #include "lookandfeeltab_impl.h"
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 #include <kaboutdata.h>
 
 LookAndFeelConfig::LookAndFeelConfig(QWidget *parent, const char *name)
Index: kcontrol/kicker/main.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/kicker/main.cpp,v
retrieving revision 1.40
diff -d -u -p -r1.40 main.cpp
--- kcontrol/kicker/main.cpp	21 Feb 2003 11:13:22 -0000	1.40
+++ kcontrol/kicker/main.cpp	5 Mar 2003 05:53:26 -0000
@@ -35,7 +35,9 @@
 
 #include "lookandfeeltab_kcm.h"
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 #include <kaboutdata.h>
 
 // for multihead
@@ -97,8 +99,12 @@ KickerConfig::KickerConfig(QWidget *pare
 
 void KickerConfig::initScreenNumber()
 {
+#ifdef Q_WS_X11
     if (qt_xdisplay())
         kickerconfig_screen_number = DefaultScreen(qt_xdisplay());
+#else
+    kickerconfig_screen_number = QApplication::desktop()->primaryScreen();
+#endif
 }
 
 void KickerConfig::configChanged()
Index: kcontrol/kicker/positiontab_impl.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/kicker/positiontab_impl.cpp,v
retrieving revision 1.24
diff -d -u -p -r1.24 positiontab_impl.cpp
--- kcontrol/kicker/positiontab_impl.cpp	18 Feb 2003 22:48:16 -0000	1.24
+++ kcontrol/kicker/positiontab_impl.cpp	5 Mar 2003 05:53:27 -0000
@@ -616,8 +616,10 @@ void PositionTab::showIdentify()
 
         QLabel *screenLabel = new QLabel(0,"Screen Identify", WStyle_StaysOnTop | WDestructiveClose | WStyle_Customize | WStyle_NoBorder);
 
+#ifdef Q_WS_X11
         KWin::setState( screenLabel->winId(), NET::Modal | NET::Sticky | NET::StaysOnTop | NET::SkipTaskbar | NET::SkipPager );
         KWin::setType( screenLabel->winId(), NET::Override );
+#endif
 
         QFont identifyFont(KGlobalSettings::generalFont());
         identifyFont.setPixelSize(100);
Index: kcontrol/konq/desktop.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/konq/desktop.cpp,v
retrieving revision 1.19
diff -d -u -p -r1.19 desktop.cpp
--- kcontrol/konq/desktop.cpp	9 Feb 2003 09:50:10 -0000	1.19
+++ kcontrol/konq/desktop.cpp	5 Mar 2003 05:53:28 -0000
@@ -117,23 +117,25 @@ KDesktopConfig::KDesktopConfig(QWidget *
 
 void KDesktopConfig::load()
 {
+#ifdef Q_WS_X11
   // get number of desktops
   NETRootInfo info( qt_xdisplay(), NET::NumberOfDesktops | NET::DesktopNames );
   int n = info.numberOfDesktops();
-
-  _numInput->setValue(n);
-
   for(int i = 1; i <= 16; i++)
   {
     QString name = QString::fromUtf8(info.desktopName(i));
     _nameInput[i-1]->setText(name);
   }
+#else
+  int n = QApplication::desktop()->numScreens();
+#endif
+
+  _numInput->setValue(n);
 
   for(int i = 1; i <= 16; i++)
     _nameInput[i-1]->setEnabled(i <= n);
   emit changed(false);
 
-
   KConfig *config = new KConfig("kdesktoprc", true);
   config->setGroup("Mouse Buttons");
   _wheelOption->setChecked(config->readBoolEntry("WheelSwitchesWorkspace",false));
@@ -142,6 +144,7 @@ void KDesktopConfig::load()
 
 void KDesktopConfig::save()
 {
+#ifdef Q_WS_X11
   NETRootInfo info( qt_xdisplay(), NET::NumberOfDesktops | NET::DesktopNames );
   // set desktop names
   for(int i = 1; i <= 16; i++)
@@ -154,6 +157,7 @@ void KDesktopConfig::save()
   info.activate();
 
   XSync(qt_xdisplay(), FALSE);
+#endif
 
   KConfig *config = new KConfig("kdesktoprc");
   config->setGroup("Mouse Buttons");
@@ -166,8 +170,12 @@ void KDesktopConfig::save()
   QByteArray data;
 
   int konq_screen_number = 0;
+#ifdef Q_WS_X11
   if (qt_xdisplay())
      konq_screen_number = DefaultScreen(qt_xdisplay());
+#else
+  konq_screen_number = QApplication::desktop()->primaryScreen();
+#endif
 
   QCString appname;
   if (konq_screen_number == 0)
Index: kcontrol/konqhtml/appearance.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/konqhtml/appearance.cpp,v
retrieving revision 1.38
diff -d -u -p -r1.38 appearance.cpp
--- kcontrol/konqhtml/appearance.cpp	11 Jan 2003 05:37:59 -0000	1.38
+++ kcontrol/konqhtml/appearance.cpp	5 Mar 2003 05:53:28 -0000
@@ -7,7 +7,9 @@
 #include <qlabel.h>
 #include <kcharsets.h>
 #include <kdebug.h>
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 #include <kfontcombo.h>
 #include <knuminput.h>
 
Index: kcontrol/konqhtml/jsopts.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/konqhtml/jsopts.cpp,v
retrieving revision 1.42
diff -d -u -p -r1.42 jsopts.cpp
--- kcontrol/konqhtml/jsopts.cpp	21 Feb 2003 11:13:22 -0000	1.42
+++ kcontrol/konqhtml/jsopts.cpp	5 Mar 2003 05:53:29 -0000
@@ -18,7 +18,9 @@
 #include <klistview.h>
 #include <kdebug.h>
 #include <kurlrequester.h>
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 #include "htmlopts.h"
 #include "policydlg.h"
Index: kcontrol/konqhtml/pluginopts.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/konqhtml/pluginopts.cpp,v
retrieving revision 1.21
diff -d -u -p -r1.21 pluginopts.cpp
--- kcontrol/konqhtml/pluginopts.cpp	21 Feb 2003 11:13:22 -0000	1.21
+++ kcontrol/konqhtml/pluginopts.cpp	5 Mar 2003 05:53:29 -0000
@@ -17,7 +17,9 @@
 #include <qwhatsthis.h>
 #include <qvgroupbox.h>
 #include <kdebug.h>
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 #include <kapplication.h>
 #include <dcopclient.h>
Index: kcontrol/krdb/krdb.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/krdb/krdb.cpp,v
retrieving revision 1.47
diff -d -u -p -r1.47 krdb.cpp
--- kcontrol/krdb/krdb.cpp	14 Feb 2003 18:34:20 -0000	1.47
+++ kcontrol/krdb/krdb.cpp	5 Mar 2003 05:53:30 -0000
@@ -40,7 +40,9 @@
 
 #include "krdb.h"
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 
 // -----------------------------------------------------------------------------
@@ -472,6 +474,7 @@ void runRdb( uint flags )
     // Cheat and use the current timestamp, since we just saved to qtrc.
     QDateTime settingsstamp = QDateTime::currentDateTime();
 
+#ifdef Q_WS_X11
     static Atom qt_settings_timestamp = 0;
     if (!qt_settings_timestamp) {
 	 QString atomname("_QT_SETTINGS_TIMESTAMP_");
@@ -487,6 +490,7 @@ void runRdb( uint flags )
 		     (unsigned char*) stamp.buffer().data(),
 		     stamp.buffer().size() );
     QApplication::flushX();
+#endif
   }
 }
 
Index: kcontrol/screensaver/scrnsave.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/screensaver/scrnsave.cpp,v
retrieving revision 1.61
diff -d -u -p -r1.61 scrnsave.cpp
--- kcontrol/screensaver/scrnsave.cpp	17 Feb 2003 05:00:59 -0000	1.61
+++ kcontrol/screensaver/scrnsave.cpp	5 Mar 2003 05:53:33 -0000
@@ -50,7 +50,9 @@
 #include <kgenericfactory.h>
 #include <kwin.h>
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 #include "scrnsave.h"
 
@@ -61,12 +63,34 @@
 
 template class QPtrList<SaverConfig>;
 
+#ifdef Q_WS_X11
 const uint widgetEventMask =                 // X event mask
 (uint)(
        ExposureMask |
        PropertyChangeMask |
        StructureNotifyMask
       );
+#endif
+
+#ifdef Q_WS_X11
+//===========================================================================
+class TestWin : public QXEmbed
+{
+public:
+    TestWin();
+};
+
+//===========================================================================
+class KSSMonitor : public QXEmbed
+{
+public:
+    KSSMonitor( QWidget *parent ) : QXEmbed( parent ) {}
+
+    // we don't want no steenking palette change
+    virtual void setPalette( const QPalette & ) {}
+};
+#endif
+
 
 //===========================================================================
 // DLL Interface for kcontrol
@@ -126,6 +150,7 @@ int SaverList::compareItems(QPtrCollecti
     return s1->name().localeAwareCompare(s2->name());
 }
 
+#ifdef Q_WS_X11
 //===========================================================================
 //
 TestWin::TestWin()
@@ -134,6 +159,7 @@ TestWin::TestWin()
     setFocusPolicy(StrongFocus);
     KWin::setState( winId(), NET::StaysOnTop );
 }
+#endif
 
 //===========================================================================
 //
@@ -143,10 +169,14 @@ KScreenSaver::KScreenSaver(QWidget *pare
 {
     mSetupProc = 0;
     mPreviewProc = 0;
+#ifdef Q_WS_X11
     mTestWin = 0;
+#endif
     mTestProc = 0;
     mPrevSelected = -2;
+#ifdef Q_WS_X11
     mMonitor = 0;
+#endif
     mTesting = false;
 
     // Add non-KDE path
@@ -335,12 +365,13 @@ KScreenSaver::KScreenSaver(QWidget *pare
 //
 void KScreenSaver::resizeEvent( QResizeEvent * )
 {
-
+#ifdef Q_WS_X11
   if (mMonitor)
     {
       mMonitor->setGeometry( (mMonitorLabel->width()-200)/2+23,
                  (mMonitorLabel->height()-186)/2+14, 151, 115 );
     }
+#endif
 }
 
 //---------------------------------------------------------------------------
@@ -383,7 +414,9 @@ KScreenSaver::~KScreenSaver()
 
     delete mTestProc;
     delete mSetupProc;
+#ifdef Q_WS_X11
     delete mTestWin;
+#endif
 }
 
 //---------------------------------------------------------------------------
@@ -623,6 +656,7 @@ void KScreenSaver::slotPreviewExited(KPr
     if ( mSaverList.isEmpty() ) // safety check
         return;
 
+#ifdef Q_WS_X11
     // Some xscreensaver hacks do something nasty to the window that
     // requires a new one to be created (or proper investigation of the
     // problem).
@@ -635,6 +669,7 @@ void KScreenSaver::slotPreviewExited(KPr
     mMonitor->show();
     // So that hacks can XSelectInput ButtonPressMask
     XSelectInput(qt_xdisplay(), mMonitor->winId(), widgetEventMask );
+#endif
 
     if (mSelected >= 0) {
         mPreviewProc->clearArguments();
@@ -655,7 +690,11 @@ void KScreenSaver::slotPreviewExited(KPr
                 ts >> word;
                 if (word == "%w")
                 {
+#ifdef Q_WS_X11
                     word = word.setNum(mMonitor->winId());
+#else
+		    word = word.setNum(1);
+#endif
                 }
                 (*mPreviewProc) << word;
             }
@@ -794,6 +833,7 @@ void KScreenSaver::slotTest()
     {
         (*mTestProc) << path;
 
+#ifdef Q_WS_X11
         if (!mTestWin)
         {
             mTestWin = new TestWin();
@@ -807,6 +847,7 @@ void KScreenSaver::slotTest()
         mTestWin->setFocus();
 	// So that hacks can XSelectInput ButtonPressMask
 	XSelectInput(qt_xdisplay(), mTestWin->winId(), widgetEventMask );
+#endif
 
 	grabMouse();
 	grabKeyboard();
@@ -819,7 +860,11 @@ void KScreenSaver::slotTest()
             ts >> word;
             if (word == "%w")
             {
+#ifdef Q_WS_X11
                 word = word.setNum(mTestWin->winId());
+#else
+                word = word.setNum(1);
+#endif
             }
             (*mTestProc) << word;
         }
@@ -838,7 +883,9 @@ void KScreenSaver::slotStopTest()
     }
     releaseMouse();
     releaseKeyboard();
+#ifdef Q_WS_X11
     mTestWin->hide();
+#endif
     mTestBt->setEnabled(true);
     mPrevSelected = -1;
     setMonitor();
Index: kcontrol/screensaver/scrnsave.h
===================================================================
RCS file: /home/kde/kdebase/kcontrol/screensaver/scrnsave.h,v
retrieving revision 1.16
diff -d -u -p -r1.16 scrnsave.h
--- kcontrol/screensaver/scrnsave.h	17 Feb 2003 05:00:59 -0000	1.16
+++ kcontrol/screensaver/scrnsave.h	5 Mar 2003 05:53:33 -0000
@@ -22,17 +22,8 @@ class QListViewItem;
 class QPushButton;
 class KIntNumInput;
 class KProcess;
-
-//===========================================================================
-class KSSMonitor : public QXEmbed
-{
-    Q_OBJECT
-public:
-    KSSMonitor( QWidget *parent ) : QXEmbed( parent ) {}
-
-    // we don't want no steenking palette change
-    virtual void setPalette( const QPalette & ) {}
-};
+class KSSMonitor;
+class TestWin;
 
 //===========================================================================
 class SaverConfig
@@ -65,13 +56,6 @@ protected:
     virtual int compareItems(QPtrCollection::Item item1, QPtrCollection::Item item2);
 };
 
-//===========================================================================
-class TestWin : public QXEmbed
-{
-    Q_OBJECT
-public:
-    TestWin();
-};
 
 //===========================================================================
 class KScreenSaver : public KCModule
@@ -118,11 +102,15 @@ protected:
     void keyPressEvent(QKeyEvent *);
 
 protected:
+#ifdef Q_WS_X11
     TestWin     *mTestWin;
+#endif
     KProcess    *mTestProc;
     KProcess    *mSetupProc;
     KProcess    *mPreviewProc;
+#ifdef Q_WS_X11
     KSSMonitor  *mMonitor;
+#endif
     QPushButton *mSetupBt;
     QPushButton *mTestBt;
     QListView   *mSaverListView;
Index: kcontrol/style/kcmstyle.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/style/kcmstyle.cpp,v
retrieving revision 1.51
diff -d -u -p -r1.51 kcmstyle.cpp
--- kcontrol/style/kcmstyle.cpp	18 Feb 2003 22:14:45 -0000	1.51
+++ kcontrol/style/kcmstyle.cpp	5 Mar 2003 05:53:35 -0000
@@ -57,12 +57,13 @@
 
 #include "kcmstyle.h"
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
 // X11 namespace cleanup
 #undef Below
 #undef KeyPress
 #undef KeyRelease
-
+#endif
 
 /**** DLL Interface for kcontrol ****/
 
@@ -101,9 +102,14 @@ extern "C"
 
         // This key has no GUI apparently
         bool isActive = !config.readBoolEntry( "disableMultihead", false) &&
+#ifdef Q_WS_X11
                         (ScreenCount(qt_xdisplay()) > 1);
+#else
+           	        QApplication::desktop()->numScreens() > 1;
+#endif
         applyMultiHead( isActive );
 
+#ifdef Q_WS_X11
         // Write some Qt root property.
 #ifndef __osf__      // this crashes under Tru64 randomly -- will fix later
         QByteArray properties;
@@ -118,6 +124,7 @@ extern "C"
             XChangeProperty(qt_xdisplay(),  RootWindow(qt_xdisplay(), i),
                             a, a, 8, PropModeReplace,
                             (unsigned char*) properties.data(), properties.size());
+#endif
 #endif
     }
 }
Index: kcontrol/thememgr/newthemedlg.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/thememgr/newthemedlg.cpp,v
retrieving revision 1.11
diff -d -u -p -r1.11 newthemedlg.cpp
--- kcontrol/thememgr/newthemedlg.cpp	9 Feb 2003 00:09:46 -0000	1.11
+++ kcontrol/thememgr/newthemedlg.cpp	5 Mar 2003 05:53:35 -0000
@@ -118,7 +118,11 @@ QLineEdit* NewThemeDlg::newLine(const QS
 
 void NewThemeDlg::slotSnapshot()
 {
+#ifdef Q_WS_X11
   int desktop = KWin::currentDesktop();
+#else
+  int desktop = 0;
+#endif
   SnapshotDlg *dlg = new SnapshotDlg(this);
   int result = dlg->exec();
   delete dlg;
@@ -131,12 +135,18 @@ void NewThemeDlg::slotSnapshot()
   kapp->processEvents();
 #endif  
 
+#ifdef Q_WS_X11
   mPreview = QPixmap::grabWindow( qt_xrootwin()).convertToImage().smoothScale(320,240);
+#else
+  mPreview = QPixmap::grabWidget(QApplication::desktop()).convertToImage().smoothScale(320,240);
+#endif
   QPixmap snapshot;
   snapshot.convertFromImage(mPreview.smoothScale(160,120));
   mPreviewLabel->setPixmap(snapshot);
+#ifdef Q_WS_X11
   KWin::setCurrentDesktop(desktop);
   KWin::deIconifyWindow(winId(), false);  
+#endif
 }
 
 SnapshotDlg::SnapshotDlg(QWidget *parent)
Index: kcontrol/thememgr/theme.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/thememgr/theme.cpp,v
retrieving revision 1.79
diff -d -u -p -r1.79 theme.cpp
--- kcontrol/thememgr/theme.cpp	9 Feb 2003 09:50:11 -0000	1.79
+++ kcontrol/thememgr/theme.cpp	5 Mar 2003 05:53:37 -0000
@@ -48,14 +48,18 @@
 
 #include <kio/netaccess.h>
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
 #include <X11/X.h>
 #include <X11/Xlib.h>
 #include <X11/Xatom.h>
 #include <X11/Xutil.h>
 #include <X11/Xos.h>
+#endif
 
+#ifdef Q_WS_X11
 extern int dropError(Display *, XErrorEvent *);
+#endif
 
 //-----------------------------------------------------------------------------
 Theme::Theme()
Index: kdm/configure.in.in
===================================================================
RCS file: /home/kde/kdebase/kdm/configure.in.in,v
retrieving revision 1.67
diff -d -u -p -r1.67 configure.in.in
--- kdm/configure.in.in	5 Dec 2002 01:30:26 -0000	1.67
+++ kdm/configure.in.in	5 Mar 2003 05:53:39 -0000
@@ -1,3 +1,4 @@
+if test "$kde_use_qt_mac" != "yes"; then
 
 dnl this is for kdm:
 
@@ -266,3 +267,5 @@ if test "x$with_krb4" != xno; then
 fi
 AC_MSG_RESULT([xdm CFLAGS: $XDM_CFLAGS])
 AC_SUBST(XDM_CFLAGS)
+
+fi
Index: kicker/core/container_applet.cpp
===================================================================
RCS file: /home/kde/kdebase/kicker/core/container_applet.cpp,v
retrieving revision 1.43
diff -d -u -p -r1.43 container_applet.cpp
--- kicker/core/container_applet.cpp	22 Jan 2003 23:52:29 -0000	1.43
+++ kicker/core/container_applet.cpp	5 Mar 2003 05:53:41 -0000
@@ -322,10 +322,12 @@ ExternalAppletContainer::ExternalAppletC
     _deskFile = info.desktopFile();
     _configFile = info.configFile();
 
+#ifdef Q_WS_X11
     // init QXEmbed
     _embed = new QXEmbed( _appletframe );
     connect ( _embed, SIGNAL( embeddedWindowDestroyed() ),
 	      this, SIGNAL( embeddedWindowDestroyed() ) );
+#endif
 
     KProcess process;
     process << "appletproxy"
@@ -459,7 +461,12 @@ bool ExternalAppletContainer::process(co
 	{
 	    QDataStream reply( replyData, IO_WriteOnly );
 	    replyType = "WId";
+#ifdef Q_WS_X11
 	    reply << _embed->winId();
+#else
+	    //Fixme, need something better for QWS & MAC
+	    reply << 0;
+#endif
 
 	    QDataStream sdata( data, IO_ReadOnly );
 	    int actions, type;
Index: kicker/core/container_applet.h
===================================================================
RCS file: /home/kde/kdebase/kicker/core/container_applet.h,v
retrieving revision 1.21
diff -d -u -p -r1.21 container_applet.h
--- kicker/core/container_applet.h	5 Nov 2002 22:48:49 -0000	1.21
+++ kicker/core/container_applet.h	5 Mar 2003 05:53:41 -0000
@@ -149,7 +149,9 @@ private slots:
     void slotAlignmentChange( Alignment a );
 
 private:
+#ifdef Q_WS_X11
     QXEmbed  *_embed;
+#endif
     QCString  _app;
     bool      _isdocked;
 };
